/[gentoo-x86]/sys-libs/libsemanage/ChangeLog
Gentoo

Diff of /sys-libs/libsemanage/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.22 Revision 1.86
1# ChangeLog for sys-libs/libsemanage 1# ChangeLog for sys-libs/libsemanage
2# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-libs/libsemanage/ChangeLog,v 1.22 2008/09/10 17:37:06 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-libs/libsemanage/ChangeLog,v 1.86 2015/01/22 08:42:53 ago Exp $
4
5 22 Jan 2015; Agostino Sarubbo <ago@gentoo.org> libsemanage-2.3-r4.ebuild:
6 Stable for amd64, wrt bug #535684
7
8*libsemanage-2.4_rc7 (06 Dec 2014)
9
10 06 Dec 2014; Jason Zaman <perfinion@gentoo.org> +libsemanage-2.4_rc7.ebuild,
11 -libsemanage-2.3-r2.ebuild, -libsemanage-2.4_rc2.ebuild,
12 -libsemanage-2.4_rc5.ebuild, -libsemanage-2.4_rc6-r1.ebuild,
13 -libsemanage-2.4_rc6.ebuild:
14 version bump and ebuild clean up, drop old RC
15
16*libsemanage-2.3-r4 (04 Dec 2014)
17
18 04 Dec 2014; Jason Zaman <perfinion@gentoo.org> +libsemanage-2.3-r4.ebuild,
19 libsemanage-2.4_rc6-r2.ebuild:
20 Call python_optimize, bug 531638
21
22*libsemanage-2.4_rc6-r2 (27 Nov 2014)
23
24 27 Nov 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.4_rc6-r2.ebuild:
25 Migrate store as soon as possible, but do not reload policy (bug 530864)
26
27*libsemanage-2.4_rc6-r1 (22 Nov 2014)
28
29 22 Nov 2014; Jason Zaman <perfinion@gentoo.org>
30 +files/0002-semanage_migrate_store-Python3-support.patch,
31 +libsemanage-2.4_rc6-r1.ebuild:
32 python3 support for semanage_migrate_store. bug 529252
33
34*libsemanage-2.4_rc6 (14 Nov 2014)
35
36 14 Nov 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.4_rc6.ebuild:
37 Bump to rc6, add python3_4 to PYTHON_COMPAT (fixes bug 529176); rc6 also fixes
38 unconfined issue when USE=-unconfined is set
39
40 01 Nov 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.3-r3.ebuild:
41 Stabilize libsemanage-2.3-r3 (fix for bug #520608)
42
43*libsemanage-2.4_rc5 (29 Oct 2014)
44
45 29 Oct 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.4_rc5.ebuild,
46 -libsemanage-2.4_rc4.ebuild:
47 Bump to 2.4_rc5
48
49*libsemanage-2.4_rc4 (07 Oct 2014)
50
51 07 Oct 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.4_rc4.ebuild:
52 Bump to 2.4-rc4
53
54*libsemanage-2.4_rc2 (21 Sep 2014)
55
56 21 Sep 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.4_rc2.ebuild,
57 libsemanage-2.3-r2.ebuild, libsemanage-2.3-r3.ebuild:
58 Noved to github; also add in masked 2.4 series
59
60 16 Sep 2014; Brian Dolbec <dolsen@gentoo.org> libsemanage-2.3-r3.ebuild:
61 Add python-3.4 target. Tested and confirmed working by perfinion.
62
63*libsemanage-2.3-r3 (23 Aug 2014)
64
65 23 Aug 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.3-r3.ebuild:
66 Fix bug #520608 - Install .so in correct multilib location
67
68 05 Aug 2014; Sven Vermeulen <swift@gentoo.org> -libsemanage-2.2.ebuild,
69 -libsemanage-2.3-r1.ebuild, -libsemanage-2.3.ebuild:
70 Remove obsoleted ebuilds
71
72 05 Aug 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.2-r2.ebuild:
73 Stabilize latest libsemanage-2.2
74
75 30 Jul 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.3-r2.ebuild:
76 Fix bug #514194 - Stabilization of SELinux userspace 2.3
77
78 18 Jun 2014; Michał Górny <mgorny@gentoo.org> libsemanage-2.3-r2.ebuild:
79 Update dependencies to require guaranteed EAPI=5 or multilib ebuilds, bug
80 #513718.
81
82*libsemanage-2.3-r2 (02 Jun 2014)
83
84 02 Jun 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.3-r2.ebuild:
85 Update multilib support in libsemanage with thanks to Arfrever
86
87*libsemanage-2.3-r1 (01 Jun 2014)
88
89 01 Jun 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.3-r1.ebuild:
90 Fixing multilib support (bug #506460) with thanks to Sven Eden. Package has
91 dep on audit-2.2.2 which is p.masked so added same package to p.mask combo
92
93 10 May 2014; Sven Vermeulen <swift@gentoo.org> -libsemanage-2.1.10.ebuild,
94 -libsemanage-2.2-r1.ebuild, -libsemanage-2.3_rc1.ebuild:
95 Spring cleanup
96
97*libsemanage-2.3 (09 May 2014)
98
99 09 May 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.3.ebuild:
100 Bump to 2.3
101
102*libsemanage-2.3_rc1 (28 Apr 2014)
103
104 28 Apr 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.3_rc1.ebuild:
105 2.3-rc1 release
106
107*libsemanage-2.2-r2 (23 Mar 2014)
108
109 23 Mar 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.2-r2.ebuild:
110 Fix bug #502078 - have SHLIBS use PREFIX, not DESTDIR
111
112 02 Feb 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.2-r1.ebuild:
113 Support multilib
114
115*libsemanage-2.2-r1 (02 Feb 2014)
116
117 02 Feb 2014; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.2-r1.ebuild:
118 Removing ruby support for libsemanage for now (libselinux has it removed as
119 we)
120
121 01 Feb 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.2.ebuild:
122 Adding python3_3 to supported Pythons, see bug #499606
123
124 20 Jan 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.2.ebuild:
125 Fix bug #497754 - Add in dep on virtual/pgkconfig
126
127 20 Jan 2014; Sven Vermeulen <swift@gentoo.org> libsemanage-2.2.ebuild:
128 Stabilize for amd64 and x86
129
130 23 Dec 2013; Sven Vermeulen <swift@gentoo.org> -libsemanage-2.1.9.ebuild:
131 Cleanup old version
132
133 10 Nov 2013; Sven Vermeulen <swift@gentoo.org> libsemanage-2.2.ebuild:
134 Adding dependency to audit (bug #490488)
135
136*libsemanage-2.2 (04 Nov 2013)
137
138 04 Nov 2013; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.2.ebuild:
139 New libsemanage release
140
141 07 Jul 2013; Sven Vermeulen <swift@gentoo.org> -libsemanage-2.1.6.ebuild,
142 -libsemanage-2.1.6-r2.ebuild:
143 Summer cleaning
144
145 16 Jun 2013; Sven Vermeulen <swift@gentoo.org> libsemanage-2.1.10.ebuild:
146 Stabilization
147
148*libsemanage-2.1.10 (25 Apr 2013)
149
150 25 Apr 2013; Sven Vermeulen <swift@gentoo.org> +libsemanage-2.1.10.ebuild:
151 New upstream release
152
153 07 Feb 2013; Sven Vermeulen <swift@gentoo.org> libsemanage-2.1.9.ebuild:
154 Python 2.6 is not supported with libsemanage, see bug #445216
155
156 17 Nov 2012; <swift@gentoo.org> libsemanage-2.1.9.ebuild:
157 Stabilization
158
159 13 Oct 2012; <swift@gentoo.org> libsemanage-2.1.9.ebuild:
160 Supporting user-provided patches using epatch_user
161
162*libsemanage-2.1.9 (09 Oct 2012)
163
164 09 Oct 2012; <swift@gentoo.org> +libsemanage-2.1.9.ebuild:
165 Introduce new upstream version
166
167 26 Jun 2012; Mike Gilbert <floppym@gentoo.org> libsemanage-2.1.6-r2.ebuild,
168 libsemanage-2.1.6.ebuild:
169 Restrict pypy per Arfrever.
170
171*libsemanage-2.1.6-r2 (25 Jun 2012)
172
173 25 Jun 2012; <swift@gentoo.org> +libsemanage-2.1.6-r2.ebuild:
174 Fix python3 support
175
176 13 May 2012; <swift@gentoo.org> -libsemanage-2.1.0.ebuild:
177 Removing obsoleted ebuild
178
179 29 Apr 2012; <swift@gentoo.org> libsemanage-2.1.6.ebuild:
180 Stabilization
181
182 05 Apr 2012; <swift@gentoo.org> libsemanage-2.1.0.ebuild,
183 libsemanage-2.1.6.ebuild:
184 Depending on swig-2.0.4-r1 to fix build failures as per bug #409959
185
186*libsemanage-2.1.6 (31 Mar 2012)
187
188 31 Mar 2012; <swift@gentoo.org> +libsemanage-2.1.6.ebuild:
189 Bump to version 2.1.6
190
191 12 Nov 2011; <swift@gentoo.org> -libsemanage-2.0.45.ebuild,
192 -libsemanage-2.0.46.ebuild:
193 Remove deprecated ebuilds
194
195 23 Oct 2011; <swift@gentoo.org> libsemanage-2.1.0.ebuild:
196 Stabilization (tracker #384231)
197
198 17 Sep 2011; <swift@gentoo.org> libsemanage-2.0.45.ebuild,
199 libsemanage-2.0.46.ebuild:
200 Adding dependencies on bison and flex as per bug #382583
201
202 17 Sep 2011; <swift@gentoo.org> libsemanage-2.1.0.ebuild:
203 Add dependency for flex and bison
204
205 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org> ChangeLog:
206 Fix failed gpg signing of Manifest
207
208 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
209 -libsemanage-2.0.27.ebuild, -libsemanage-2.0.33.ebuild,
210 -libsemanage-2.0.33-r1.ebuild, -files/libsemanage-2.0.33-bzip.diff:
211 Removed deprecated versions
212
213*libsemanage-2.1.0 (03 Aug 2011)
214
215 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
216 +libsemanage-2.1.0.ebuild:
217 Bump to 20110727 SELinux userspace release
218
219*libsemanage-2.0.46 (15 Jul 2011)
220
221 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
222 +libsemanage-2.0.46.ebuild:
223 Bump to 2.0.46 - proxy for SwifT
224
225 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
226 libsemanage-2.0.45.ebuild:
227 Only build libsemanage for python-2, fixes bug #369089
228
229 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
230 libsemanage-2.0.27.ebuild, libsemanage-2.0.33.ebuild:
231 Make RDEPEND explicit
232
233 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
234 libsemanage-2.0.45.ebuild:
235 Stable amd64 x86
236
237 13 Feb 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
238 Updated metadata.xml to reflect new selinux herd.
239
240 06 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
241 libsemanage-2.0.45.ebuild:
242 Add "python" and "ruby" USE flags.
243
244 05 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
245 libsemanage-2.0.45.ebuild:
246 Set SUPPORT_PYTHON_ABIS (bug #353764). Respect AR and CC.
247
248*libsemanage-2.0.45 (05 Feb 2011)
249
250 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
251 +libsemanage-2.0.45.ebuild:
252 New upstream release.
253
254 16 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
255 libsemanage-2.0.27.ebuild, libsemanage-2.0.33.ebuild,
256 libsemanage-2.0.33-r1.ebuild:
257 Delete calls to deprecated python_version().
258
259*libsemanage-2.0.33-r1 (24 Aug 2009)
260
261 24 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
262 +libsemanage-2.0.33-r1.ebuild, +files/libsemanage-2.0.33-bzip.diff:
263 Add patch to make bzip2 compression configurable.
264
265 03 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
266 libsemanage-2.0.33.ebuild:
267 Fix libsepol dependency.
268
269 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
270 libsemanage-2.0.27.ebuild, libsemanage-2.0.33.ebuild:
271 Add python_need_rebuild to libsemanage.
272
273*libsemanage-2.0.33 (02 Aug 2009)
274
275 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
276 +libsemanage-2.0.33.ebuild:
277 New upstream release.
278
279 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
280 -libsemanage-1.10.9.ebuild, libsemanage-2.0.27.ebuild:
281 Mark stable. Remove old ebuilds.
282
283*libsemanage-2.0.27 (03 Oct 2008)
284
285 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
286 +libsemanage-2.0.27.ebuild:
287 Initial commit of 2.0 libsemanage.
4 288
5 10 Sep 2008; Chris PeBenito <pebenito@gentoo.org> 289 10 Sep 2008; Chris PeBenito <pebenito@gentoo.org>
6 libsemanage-1.10.9.ebuild: 290 libsemanage-1.10.9.ebuild:
7 Tests cannot be run in the ebuild, they are supposed to be ran on the full 291 Tests cannot be run in the ebuild, they are supposed to be ran on the full
8 SELinux userland repo. 292 SELinux userland repo.
90*libsemanage-1.4 (09 Dec 2005) 374*libsemanage-1.4 (09 Dec 2005)
91 375
92 09 Dec 2005; Chris PeBenito <pebenito@gentoo.org> +metadata.xml, 376 09 Dec 2005; Chris PeBenito <pebenito@gentoo.org> +metadata.xml,
93 +libsemanage-1.4.ebuild: 377 +libsemanage-1.4.ebuild:
94 Initial commit. 378 Initial commit.
95

Legend:
Removed from v.1.22  
changed lines
  Added in v.1.86

  ViewVC Help
Powered by ViewVC 1.1.20